### Enumeration

# GWeather ConditionPhenomenon

#### Declaration

    enum GWeather.ConditionPhenomenon

#### Description [src]

The current or forecasted significant phenomenon.

#### Members

`GWEATHER_PHENOMENON_INVALID`

  Value not available.

  - Value: `-1`
  - Available since: 4.0
`GWEATHER_PHENOMENON_NONE`

  No significant phenomenon.

  - Value: `0`
  - Available since: 4.0
`GWEATHER_PHENOMENON_DRIZZLE`

  No description available.

  - Value: `1`
  - Available since: 4.0
`GWEATHER_PHENOMENON_RAIN`

  No description available.

  - Value: `2`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SNOW`

  No description available.

  - Value: `3`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SNOW_GRAINS`

  No description available.

  - Value: `4`
  - Available since: 4.0
`GWEATHER_PHENOMENON_ICE_CRYSTALS`

  No description available.

  - Value: `5`
  - Available since: 4.0
`GWEATHER_PHENOMENON_ICE_PELLETS`

  No description available.

  - Value: `6`
  - Available since: 4.0
`GWEATHER_PHENOMENON_HAIL`

  No description available.

  - Value: `7`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SMALL_HAIL`

  No description available.

  - Value: `8`
  - Available since: 4.0
`GWEATHER_PHENOMENON_UNKNOWN_PRECIPITATION`

  No description available.

  - Value: `9`
  - Available since: 4.0
`GWEATHER_PHENOMENON_MIST`

  No description available.

  - Value: `10`
  - Available since: 4.0
`GWEATHER_PHENOMENON_FOG`

  No description available.

  - Value: `11`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SMOKE`

  No description available.

  - Value: `12`
  - Available since: 4.0
`GWEATHER_PHENOMENON_VOLCANIC_ASH`

  No description available.

  - Value: `13`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SAND`

  No description available.

  - Value: `14`
  - Available since: 4.0
`GWEATHER_PHENOMENON_HAZE`

  No description available.

  - Value: `15`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SPRAY`

  No description available.

  - Value: `16`
  - Available since: 4.0
`GWEATHER_PHENOMENON_DUST`

  No description available.

  - Value: `17`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SQUALL`

  No description available.

  - Value: `18`
  - Available since: 4.0
`GWEATHER_PHENOMENON_SANDSTORM`

  No description available.

  - Value: `19`
  - Available since: 4.0
`GWEATHER_PHENOMENON_DUSTSTORM`

  No description available.

  - Value: `20`
  - Available since: 4.0
`GWEATHER_PHENOMENON_FUNNEL_CLOUD`

  No description available.

  - Value: `21`
  - Available since: 4.0
`GWEATHER_PHENOMENON_TORNADO`

  No description available.

  - Value: `22`
  - Available since: 4.0
`GWEATHER_PHENOMENON_DUST_WHIRLS`

  No description available.

  - Value: `23`
  - Available since: 4.0
`GWEATHER_PHENOMENON_LAST`

  No description available.

  - Value: `24`
  - Available since: 4.0